textures/null_orb2/fs_ladder
{
	qer_editorimage textures/null_orb2/fs_ladder03.tga
	surfaceparm trans
	cull disable
	{
		map textures/null_orb2/fs_ladder03.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/null_orb2/orb_inside
{
	qer_editorimage textures/null_orb2/lightening5.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	qer_trans 0.5
	q3map_cloneshader textures/null_orb2/orb_outside
	//surfaceparm lightfilter
	//{
	// map textures/null_orb2/orb_hase.tga
	// blendfunc blend
	// alphagen portal 700
	//}
	{
		map textures/null_orb2/orb_hase.tga
		blendfunc blend
		alphaGen portal 500
	}
	{
		map textures/null_orb2/lightening5.tga
		blendfunc blend
		tcMod turb 0 0.3 0 0.3
		tcMod scroll 0.3 0.4
		alphaFunc GE128
		alphaGen portal 400
	}
	{
		map textures/null_orb2/orb_hase.tga
		blendfunc blend
		alphaGen portal 300
	}
}

textures/null_orb2/orb_outside
{
	qer_editorimage textures/null_orb2/lightening5.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	qer_trans 0.4
	q3map_invert
	//surfaceparm lightfilter
	{
		map textures/null_orb2/lightening5.tga
		blendfunc blend
		tcMod turb 0 0.2 0 0.3
		tcMod scroll 0.1 0.2
		alphaGen portal 2048
	}
	{
		map textures/null_orb2/lightening5.tga
		blendfunc gl_src_alpha gl_one
		tcMod turb 0 -0.2 0.5 0.3
		tcMod scroll -0.1 -0.2
		alphaGen portal 2048
	}
}

textures/null_orb2/spikes
{
	qer_editorimage textures/null_orb2/spikes.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_orb2/spikes.tga
		rgbGen Vertex
		alphaFunc LT128
		alphaGen portal 700
	}
}

textures/null_orb2/ammo
{
	qer_editorimage textures/null_orb2/ammmo.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/null_orb2/ammo.tga
		blendfunc add
	}
}

textures/null_orb2/clip_2sided
{
	qer_editorimage textures/common/clip.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	qer_trans 0.4
}

textures/null_orb2/black
{
	qer_editorimage textures/null_beach/black.tga
	surfaceparm nomarks
	cull disable
	{
		map $whiteimage 
		rgbGen const ( 0 0 0 )
	}
}

textures/null_orb2/black_nonsolid
{
	qer_editorimage textures/null_beach/black.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map $whiteimage 
		rgbGen const ( 0 0 0 )
	}
}

textures/null_orb2/take
{
	qer_editorimage textures/null_orb2/take.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	//q3map_cloneshader textures/null_orb2/take_back
	//sort 10
	{
		map textures/null_orb2/take.tga
		blendfunc add
		rgbGen wave sin 1 0.3 0 2 
	}
}

textures/null_orb2/take_back
{
	qer_editorimage textures/null_orb2/take.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	sort underwater
	//cull none
	q3map_invert
	{
		map textures/null_orb2/take.tga
		blendfunc add
		rgbGen wave sin 1 0.3 0 2 
	}
}

textures/null_orb2/fanblade
{
	qer_editorimage textures/null_orb2/fan3bladeb.tga
	surfaceparm nolightmap
	surfaceparm trans
	sort 5
	{
		clampmap textures/null_orb2/fan3bladeb.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 999
	}
}

textures/null_orb2/fence
{
	surfaceparm trans
	{
		map textures/null_orb2/fence.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/null_orb2/FoamySeaWater
{
	qer_editorimage textures/bbq/FoamySeaWater.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	qer_trans 0.75
	fogparms ( 0.6 0.48 0.4 ) 512
	q3map_fancywater 1 0.4 0.3 0.2
	q3map_cloneshader textures/bbq/FoamySeaWater2
	{
		map textures/bbq/FoamySeaWater.tga
		blendfunc gl_one gl_one_minus_src_alpha
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/bbq/FoamySeaWater.tga
		blendfunc gl_one gl_one_minus_src_alpha
		tcMod turb 0 0.1 1 0.1
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/null_orb2/netting
{
	qer_editorimage textures/null_orb2/netting.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/null_orb2/netting.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

textures/null_orb2/orb_slick
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm slick
}
